Installation of stable vpp version for csit-vpp-perf-hw-all jenkins job 32/832/8
authorMiroslav Miklus <mmiklus@cisco.com>
Thu, 21 Apr 2016 13:09:55 +0000 (15:09 +0200)
committerMiroslav Miklus <mmiklus@cisco.com>
Wed, 27 Apr 2016 16:32:10 +0000 (16:32 +0000)
JIRA: CSIT-5
- vpp installation for csit-vpp-verify-* jobs
- use single bootstrap for all verify-perf jobs

Change-Id: Ifb30a360daecc90446f53d20440e2723b01c6050
Signed-off-by: Miroslav Miklus <mmiklus@cisco.com>
bootstrap-hw-tb2.sh
bootstrap-verify-perf.sh

index 46cd3f0..5da9630 100755 (executable)
 
 set -x
 
-# space separated list of available testbeds, described by topology files
-TOPOLOGIES="topologies/available/lf_testbed2-710-520.yaml"
-
-CUR_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-WORKING_TOPOLOGY=""
-export PYTHONPATH=${CUR_DIR}
-
-sudo apt-get -y update
-sudo apt-get -y install libpython2.7-dev python-virtualenv
-
-virtualenv env
-. env/bin/activate
-
-echo pip install
-pip install -r requirements.txt
-
-# we iterate over available topologies and wait until we reserve topology
-while :; do
-    for TOPOLOGY in ${TOPOLOGIES};
-    do
-        python ${CUR_DIR}/resources/tools/topo_reservation.py -t ${TOPOLOGY}
-        if [ $? -eq 0 ]; then
-            WORKING_TOPOLOGY=${TOPOLOGY}
-            echo "Reserved: ${WORKING_TOPOLOGY}"
-            break
-        fi
-    done
-
-    if [ ! -z "${WORKING_TOPOLOGY}" ]; then
-        # exit the infinite while loop if we made a reservation
-        break
-    fi
-
-    # wait 10 - 30 sec. before next try
-    SLEEP_TIME=$[ ( $RANDOM % 20 ) + 10 ]s
-    echo "Sleeping ${SLEEP_TIME}"
-    sleep ${SLEEP_TIME}
-done
-
-function cancel_reservation {
-    python ${CUR_DIR}/resources/tools/topo_reservation.py -c -t $1
-}
-
-# on script exit we cancel the reservation
-trap "cancel_reservation ${WORKING_TOPOLOGY}" EXIT
-
-case "$TEST_TAG" in
-    # run specific performance tests based on jenkins job type variable
-    PERFTEST_LONG )
-        pybot -L TRACE \
-              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -i perftest_long \
-              tests/
-        ;;
-    PERFTEST_SHORT )
-        pybot -L TRACE \
-              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -i perftest_short \
-              tests/
-        ;;
-    PERFTEST_LONG_BRIDGE )
-        pybot -L TRACE \
-              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -s performance.long_bridge_domain \
-              tests/
-        ;;
-    PERFTEST_LONG_IPV4 )
-        pybot -L TRACE \
-              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -s performance.long_ipv4 \
-              tests/
-        ;;
-    PERFTEST_LONG_XCONNECT )
-        pybot -L TRACE \
-              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -s performance.long_xconnect \
-              tests/
-        ;;
-    * )
-        # run full performance test suite
-        pybot -L TRACE \
-              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -s performance \
-              tests/
-esac
+#TODO: remove this file after changing csit-vpp-verify job configuration
+if [ ! -e bootstrap-verify-perf.sh ]
+then
+    echo 'ERROR: No bootstrap-verify-perf.sh found'
+    exit 1
+fi
+
+# make sure that bootstrap-verify-perf.sh is executable
+chmod +x bootstrap-verify-perf.sh
+# run the script
+./bootstrap-verify-perf.sh *.deb
+
+# vim: ts=4 ts=4 sts=4 et :
 
index 042d44e..739cda4 100755 (executable)
@@ -16,13 +16,41 @@ set -x
 
 # Space separated list of available testbeds, described by topology files
 TOPOLOGIES="topologies/available/lf_testbed2-710-520.yaml"
+VPP_STABLE_VER="1.0.0-304~gd530445_amd64"
+VPP_REPO_URL="https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp"
 
 # Reservation dir
 RESERVATION_DIR="/tmp/reservation_dir"
 INSTALLATION_DIR="/tmp/install_dir"
 
-# Jenkins VPP deb paths (convert to full path)
-VPP_DEBS="$( readlink -f $@ | tr '\n' ' ' )"
+PYBOT_ARGS=""
+
+# If we run this script from CSIT jobs we want to use stable vpp version
+if [[ ${JOB_NAME} == csit-* ]] ;
+then
+    mkdir vpp_download
+    cd vpp_download
+    #download vpp build from nexus and set VPP_DEBS variable
+    wget -q "${VPP_REPO_URL}/vpp/${VPP_STABLE_VER}/vpp-${VPP_STABLE_VER}.deb" || exit
+    wget -q "${VPP_REPO_URL}/vpp-dbg/${VPP_STABLE_VER}/vpp-dbg-${VPP_STABLE_VER}.deb" || exit
+    wget -q "${VPP_REPO_URL}/vpp-dev/${VPP_STABLE_VER}/vpp-dev-${VPP_STABLE_VER}.deb" || exit
+    wget -q "${VPP_REPO_URL}/vpp-dpdk-dev/${VPP_STABLE_VER}/vpp-dpdk-dev-${VPP_STABLE_VER}.deb" || exit
+    wget -q "${VPP_REPO_URL}/vpp-dpdk-dkms/${VPP_STABLE_VER}/vpp-dpdk-dkms-${VPP_STABLE_VER}.deb" || exit
+    wget -q "${VPP_REPO_URL}/vpp-lib/${VPP_STABLE_VER}/vpp-lib-${VPP_STABLE_VER}.deb" || exit
+    VPP_DEBS="$( readlink -f *.deb | tr '\n' ' ' )"
+    PYBOT_ARGS="${PYBOT_ARGS} --exitonfailure"
+    cd ..
+
+# If we run this script from vpp project we want to use local build
+elif [[ ${JOB_NAME} == vpp-* ]] ;
+then
+    #use local packages provided as argument list
+    # Jenkins VPP deb paths (convert to full path)
+    VPP_DEBS="$( readlink -f $@ | tr '\n' ' ' )"
+else
+    echo "Unable to identify job type based on JOB_NAME variable: ${JOB_NAME}"
+    exit 1
+fi
 
 CUR_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
 WORKING_TOPOLOGY=""
@@ -79,14 +107,44 @@ else
     exit 1
 fi
 
-if [ ! -z "$TEST_TAG" ]; then
-# run specific performance tests by tag if variable is set
-    pybot -L TRACE \
-        -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-        -i "${TEST_TAG,,}" tests/
-else
-# run full performance test suite
-    pybot -L TRACE \
-        -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-        -s performance tests/
-fi
+case "$TEST_TAG" in
+    # run specific performance tests based on jenkins job type variable
+    PERFTEST_LONG )
+        pybot -L TRACE \
+              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+              -i perftest_long \
+              tests/
+        ;;
+    PERFTEST_SHORT )
+        pybot -L TRACE \
+              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+              -i perftest_short \
+              tests/
+        ;;
+    PERFTEST_LONG_BRIDGE )
+        pybot -L TRACE \
+              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+              -s performance.long_bridge_domain \
+              tests/
+        ;;
+    PERFTEST_LONG_IPV4 )
+        pybot -L TRACE \
+              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+              -s performance.long_ipv4 \
+              tests/
+        ;;
+    PERFTEST_LONG_XCONNECT )
+        pybot -L TRACE \
+              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+              -s performance.long_xconnect \
+              tests/
+        ;;
+    * )
+        # run full performance test suite and exit on fail
+        pybot ${PYBOT_ARGS} \
+              -L TRACE \
+              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+              -s performance \
+              tests/
+esac
+

©2016 FD.io a Linux Foundation Collaborative Project. All Rights Reserved.
Linux Foundation is a registered trademark of The Linux Foundation. Linux is a registered trademark of Linus Torvalds.
Please see our privacy policy and terms of use.